body{
    margin: 60px;
}
@media only screen and (min-width:1201px)
{
   h1,h2,h3,h4,h5,h6,table,p{
        font-size: 160%;
    }
    .image-with-text{
        display: flex;
        flex-direction: column;    
    }
    .main-img{
        margin-top: 10px; 
    }
    .main-img img{
        width:100%;
        height: auto;
    }
    .text-block{
        border: 1px grey groove;
    }
    header h1{
        flex: 9;
        padding: 2%;
        font-size: 400%;
    }
    .weather-details img{
        width:30%;
    }
}
@media only screen and (max-width:1200px) 
{
    @media only screen and (min-width:601px)
    {
        h1,h2,h3,h4,h5,h6,table,p{
            font-size: 120%;
        }
        .weather-detail table{
            font-size: 80%;
        }
        .grid{
            display: grid;
            grid-template-columns: 65% 35%;
            grid-column-gap: 1em;
        }
        .image-with-text{
            position: relative;
            grid-row:1;
            grid-column: 1/2;
        }
        .image-with-text .main-img{
            width: 100%;
            height: auto; 
        }
        .image-with-text .text-block{
            font-size: 80%;
            position: absolute;
            width: 100%;
            bottom: 0%;
            background: transparent;
            background-color: rgba(0,0,0.1,0.5);
            color: white; 
        }
        .news-article{
            grid-row: 2;
            grid-column: 1/3;
        }
        .match-details{
            grid-row: 3;
            grid-column: 1/3;
        }
        .weather-detail{
            grid-row: 1;
            grid-column: 2/3;
        }
        .weather-detail .temp-details{
            width:100%;
            height: auto;
        }
        header h1{
            flex: 9;
            padding: 2%;
            font-size: 180%;
        }
        .weather-details img{
            width:60%;
        } 
    } 
}
@media only screen and (max-width:600px)
{
   h1,h2,h3,h4,h5,h6,table,p{
        font-size: 60%;
    }
    .text p{
        font-size: 0px;
    }
    .image-with-text{
        position: relative;
    }
   .image-with-text .main-img{
       width: 100%;
       height: auto;
    }
   .image-with-text .text-block{
       position: absolute;
       background: transparent;
       width: 100%;
       bottom: 0%;
       background-color: rgba(0,0,0.1,0.8);
       color: white;
       font-size: 120%;   
    }
    header h1{
        flex: 9;
        padding: 2%;
        font-size: 75%;
    }
    .weather-details img{
        width:40%;
    }
}
/*@media only screen and (min-width:1201px)
{
    
    
}
@media only screen and (max-width:1200px) 
{
    @media only screen and (min-width:601px)
    {
        
        .weather-details img{
            width:40%;
        }
    }
}
@media only screen and (max-width:600px)
{
    header h1{
        flex: 9;
        padding: 2%;
        font-size: 75%;
    }
    .weather-details img{
        width:50%;
    }
}*/
img{
    width: 100%;
    height: auto;
}
.line
{
    border-bottom: 1px black groove;
}
.text{
    display: flex;
    margin-top: 20px;
}
.text p{
    width: 25%;
    text-align: center;
    text-transform: uppercase;
}
.heading{
    display: flex;
    border-bottom: 5px black groove;
}
.heading img{
    flex: 1;
    margin-bottom: 20px;
    width: auto;
    height: auto;
}
table{
    width: 100%;
}
.table-data thead{
    text-align: left;
    background-color: darkslategray;
}
.table-data th{
    padding: 1%;
}
.table-data td{
    padding: 1%;
}
.table-data tbody tr:nth-child(odd){
    background-color:white;
}
.table-data tbody tr:nth-child(even){
    background-color:lightblue;
}
.news-details{
    display: flex;
    border-bottom: 2px black groove;
}
.news-details h1{
    flex: 1;
}
.news-details h2{
    flex: 1;
    text-align: right;
}
.weather-details{
    display: flex;
}

.weather-details h2{
    width: 50%;
    padding-top: 5%;
}
.figure{
    width: 20%;
    float: left;
} 
.figure img{
    width: 90%;
    height: auto;
}
.details{
    /*display: inline;*/
}
footer{
    display: flex;
    border-bottom: 5px gray solid;
    border-top: 2px gray solid;
}
footer h2{
    flex: 1;
}
.clr{
    clear: both;
}
